# Usage

Copy the device files that you need to `/etc/systemd/network/`.

Be sure the file-names, folders and configuration values (within the files) are changed to match your devices ([note 1](#Notes)). Wifi (wlan) devices also need wpa_supplicant configured to work.

## Example

Say I have eth0 and want network access (and an IP via DHCP) from my router; I would do the following...

```
sudo -s # Drop to root.
cp -rv 10-eth0* /etc/systemd/network/ # Copy the files.

systemctl enable --now systemd-networkd # Enable networkd now.

networkctl reload # Reload the configuration.

networkctl status # Check the log for any errors.
```

If there are NO **and I mean NO errors** from the commands above...

```
networkctl reconfigure eth0 # Tell networkd to reconfigure the device.

mv /etc/network/ /etc/network.disabled/ Move the old network configuration.

reboot # Restart to be sure.
```

## Enabling systemd-resolved

I like to use systemd-resolved for DNS..

```
sudo -s # Drop to root.

ln -sfv /var/run/systemd/resolve/stub-resolv.conf /etc/resolv.conf # Create a symlink.

systemctl enable --now systemd-resolved # Enable resolved now.
```

## Notes

**1**: This is very important otherwise things won't work. For example, if you have eth1 and not eth0 you'll have to copy and/or rename `eth0.network` to `eth1.network`. Check, and then check again.
